> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplesandbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1sandboxes terminals 1



## OpenAPI

````yaml https://api.simplesandbox.dev/doc get /api/v1/sandboxes/{id}/terminals/{pid}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sandbox API
servers: []
security: []
paths:
  /api/v1/sandboxes/{id}/terminals/{pid}:
    get:
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: pid
          in: path
      responses:
        '200':
          description: Terminal info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TerminalGetResponse'
        '401':
          description: Unauthorized
        '404':
          description: Sandbox or terminal not found
        '503':
          description: Daemon not available
components:
  schemas:
    TerminalGetResponse:
      type: object
      properties:
        terminal:
          $ref: '#/components/schemas/TerminalInfo'
      required:
        - terminal
    TerminalInfo:
      type: object
      properties:
        id:
          type: string
          example: '1234'
        shell:
          type: string
          example: bash
        cwd:
          type: string
          example: /root
        clientCount:
          type: number
          example: 1
        createdAt:
          type: string
          example: '2025-11-06T10:30:00Z'
      required:
        - id
        - shell
        - cwd
        - clientCount
        - createdAt

````